VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::Resource Interface Reference

The Resource interface provides methods to retrieve information about resource types. More...

Inherited by vmware::vapi::metadata::metamodel::ResourceStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.HashSet < string > | List ()
| Returns the set of resource types present across all the service elements contained in all the package elements.
global::System.Collections.Generic.HashSet < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the set of resource types present across all the service elements contained in all the package elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.HashSet < string > > | ListAsync ()
| Returns the set of resource types present across all the service elements contained in all the package elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.HashSet < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the set of resource types present across all the service elements contained in all the package elements.

## Detailed Description

The Resource interface provides methods to retrieve information about resource types.

A service is a logical grouping of operations that operate on an entity. Each entity is identifier by a namespace (or resource type) and an unique identifier.

## Member Function Documentation

global::System.Collections.Generic.HashSet<string> vmware::vapi::metadata::metamodel::Resource::List | ( |  | ) |

Returns the set of resource types present across all the service elements contained in all the package elements.

Returns:
  Set of resource types The result will contain identifiers for the resource type: `com.vmware.vapi.resource` .

Implemented in vmware::vapi::metadata::metamodel::ResourceStub.

global::System.Collections.Generic.HashSet<string> vmware::vapi::metadata::metamodel::Resource::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the set of resource types present across all the service elements contained in all the package elements.

Returns:
  Set of resource types The result will contain identifiers for the resource type: `com.vmware.vapi.resource` .

Implemented in vmware::vapi::metadata::metamodel::ResourceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.HashSet<string> > vmware::vapi::metadata::metamodel::Resource::ListAsync | ( |  | ) |

Returns the set of resource types present across all the service elements contained in all the package elements.

Returns:
  Set of resource types The result will contain identifiers for the resource type: `com.vmware.vapi.resource` .

Implemented in vmware::vapi::metadata::metamodel::ResourceStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.HashSet<string> > vmware::vapi::metadata::metamodel::Resource::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the set of resource types present across all the service elements contained in all the package elements.

Returns:
  Set of resource types The result will contain identifiers for the resource type: `com.vmware.vapi.resource` .

Implemented in vmware::vapi::metadata::metamodel::ResourceStub.

The documentation for this interface was generated from the following file:

- Resource.cs